# Class: Value

## ProtoBuf.Reflect.Enum. Value

#### new Value(buildernon-null, enmnon-null, name, id)

  Constructs a new Enum Value.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `builder` | ProtoBuf.Builder | Builder reference
  `enm` | ProtoBuf.Reflect.Enum | Enum reference
  `name` | string | Field name
  `id` | number | Unique field id

  Source:
    - ProtoBuf.js, line 3270

### Extends

- ProtoBuf.Reflect.T

### Members

#### (non-null) builder :ProtoBuf.Builder

  Builder reference.

  ##### Type:

  - ProtoBuf.Builder
  Inherited From:
    - ProtoBuf.Reflect.T#builder
  Source:
    - ProtoBuf.js, line 1352

#### className

  Source:
    - ProtoBuf.js, line 3276

#### id :number

  Unique enum value id.

  ##### Type:

  - number
  Source:
    - ProtoBuf.js, line 3283

#### name :string

  Object name in namespace.

  ##### Type:

  - string
  Inherited From:
    - ProtoBuf.Reflect.T#name
  Source:
    - ProtoBuf.js, line 1366

#### (nullable) parent :ProtoBuf.Reflect.T

  Parent object.

  ##### Type:

  - ProtoBuf.Reflect.T
  Inherited From:
    - ProtoBuf.Reflect.T#parent
  Source:
    - ProtoBuf.js, line 1359

### Methods

#### build()

  Builds this type.

  Inherited From:
    - ProtoBuf.Reflect.T#build
  Source:
    - ProtoBuf.js, line 1414

  ##### Throws:

  If this type cannot be built directly
  Type
    Error

#### fqn() → {string}

  Returns the fully qualified name of this object.

  Inherited From:
    - ProtoBuf.Reflect.T#fqn
  Source:
    - ProtoBuf.js, line 1387

  ##### Returns:

  Fully qualified name as of ".PATH.TO.THIS"

  Type
    string

#### toString(includeClassopt)

  Returns a string representation of this Reflect object (its fully qualified name).

  ##### Parameters:

  Name | Type | Attributes | Description
  --- | --- | --- | ---
  `includeClass` | boolean | <optional> | Set to true to include the class name. Defaults to false.

  Inherited From:
    - ProtoBuf.Reflect.T#toString
  Source:
    - ProtoBuf.js, line 1405

  ##### Returns:

  String representation